Subject: Re: [bug#40060] [PATCH 1/2] gnu: youtube-dl: Use ffmpeg and pycryptodome

From: Leo Famulari <[email-masked]>
Date: Sun, 15 Mar 2020 13:25:13 -0400

On Sat, Mar 14, 2020 at 11:17:42PM +0100, Tobias Geerinckx-Rice wrote:
> Brice Waegeneire 写道：
> > I should have written this in the cover-letter, my bad.
> > pycryptodome is needed for the hlsative downloader, ffmpeg adds the
> > ability to merge video and audio files downloaded separately by
> > youtube-dl and removes the following warning:
> > WARNING: You have requested multiple formats but ffmpeg or avconv are
> > not installed. The formats won't be merged.
> 
> This message is one of the best I've seen.  It clearly explains to the user
> what's (not) going to happen, and what they can do to change that *if* they
> want to.  Hence I think adding ffmpeg as a hard dependency is incorrect.

I see your point of view, and I also have FFmpeg installed manually
because I use it frequently in my work. I guess it depends on how many
people are experiencing the issue that Brice is having.